/**
 * IF_001 部件模型
 *
 * @export
 * @class IF_001Model
 */
export default class IF_001Model {

  /**
  * 获取数据项集合
  *
  * @returns {any[]}
  * @memberof IF_001Model
  */
  public getDataItems(): any[] {
    return [
      {
        name: 'srfwfmemo',
        prop: 'srfwfmemo',
        dataType: 'TEXT',
      },
      // 前端新增修改标识，新增为"0",修改为"1"或未设值
      {
        name: 'srffrontuf',
        prop: 'srffrontuf',
        dataType: 'TEXT',
      },
      {
        name: 'srfupdatedate',
        prop: 'updatedate',
        dataType: 'DATETIME',
      },
      {
        name: 'srforikey',
      },
      {
        name: 'srfkey',
        prop: 'operationunitid',
        dataType: 'GUID',
      },
      {
        name: 'srfmajortext',
        prop: 'operationunitname',
        dataType: 'TEXT',
      },
      {
        name: 'srftempmode',
      },
      {
        name: 'srfuf',
      },
      {
        name: 'srfdeid',
      },
      {
        name: 'srfsourcekey',
      },
      {
        name: 'operationunitname',
        prop: 'operationunitname',
        dataType: 'TEXT',
      },
      {
        name: 'orgcode',
        prop: 'orgcode',
        dataType: 'INHERIT',
      },
      {
        name: 'shortname',
        prop: 'shortname',
        dataType: 'INHERIT',
      },
      {
        name: 'operationunittype',
        prop: 'operationunittype',
        dataType: 'INHERIT',
      },
      {
        name: 'memo',
        prop: 'memo',
        dataType: 'INHERIT',
      },
      {
        name: 'operationunitid',
        prop: 'operationunitid',
        dataType: 'GUID',
      },
      {
        name: 'hroperationunit',
        prop: 'operationunitid',
        dataType: 'FONTKEY',
      },
    ]
  }

}